Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfListLevelPositionAndSpaceModeType

    java.lang.Object
      java.lang.Enum<OdfListLevelPositionAndSpaceModeType>
          org.odftoolkit.odfdom.dom.type.text.OdfListLevelPositionAndSpaceModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfListLevelPositionAndSpaceModeType>

    public enum OdfListLevelPositionAndSpaceModeType

extends Enum<OdfListLevelPositionAndSpaceModeType>

DOM implementation of OpenDocument attribute text:list-level-position-and-space-mode.

Enum Constant Summary
`LABEL_ALIGNMENT`
`LABEL_WIDTH_AND_POSITION`

Method Summary
`static OdfListLevelPositionAndSpaceModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfListLevelPositionAndSpaceModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfListLevelPositionAndSpaceModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfListLevelPositionAndSpaceModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LABEL_ALIGNMENT

    public static final OdfListLevelPositionAndSpaceModeType LABEL_ALIGNMENT

### LABEL_WIDTH_AND_POSITION

    public static final OdfListLevelPositionAndSpaceModeType LABEL_WIDTH_AND_POSITION

Method Detail

### values

    public static OdfListLevelPositionAndSpaceModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfListLevelPositionAndSpaceModeType c : OdfListLevelPositionAndSpaceModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfListLevelPositionAndSpaceModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfListLevelPositionAndSpaceModeType>`
  Returns:
    return the name of OdfListLevelPositionAndSpaceModeType

### toString

    public static String toString(OdfListLevelPositionAndSpaceModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfListLevelPositionAndSpaceModeType, see text:list-level-position-and-space-mode
  Returns:
    return the name of OdfListLevelPositionAndSpaceModeType

### enumValueOf

    public static OdfListLevelPositionAndSpaceModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfListLevelPositionAndSpaceModeType
  Returns:
    return the constant of OdfListLevelPositionAndSpaceModeType, see text:list-level-position-and-space-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.